Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Objektfang System- vs. Benutzereinstellungen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Objektfang System- vs. Benutzereinstellungen (481 mal gelesen)
bu
Mitglied
die Frage habe ich mir auch schon gestellt


Sehen Sie sich das Profil von bu an!   Senden Sie eine Private Message an bu  Schreiben Sie einen Gästebucheintrag für bu

Beiträge: 265
Registriert: 29.06.2004

AutoCAD 2010 Mechanical

erstellt am: 15. Mai. 2009 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


2009-05-1509-46-44.gif

 
Tach Leute,

kann ich via Programm abfragen ob bei einem laufenden Mechanical 2007 die Fanpoptionen (siehe Bild) auf System- oder Benutzereinstellungen steht? Und diese gegebenfalls zur Laufzeit ändern kann?

------------------
Gruss bu

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, ...,
AutoCADs 200X, SWX 2kX

erstellt am: 18. Mai. 2009 07:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bu 10 Unities + Antwort hilfreich

'_ampsnapX oder osmode mal googeln.

------------------
MfG Proxy

Bitte beachten Sie: Die Verwendung der hier bereitgestellten Signatur geschieht auf Ihre eigene Verantwortung. Diese Signatur wird ohne Gewähr auf Richtigkeit, Vollständigkeit und/oder Funktionalität, sowie ohne Anspruch auf Support zur Verfügung gestellt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 18. Mai. 2009 09:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bu 10 Unities + Antwort hilfreich

2 Möglichkeiten

entweder direkter Registryzugriff :
(setq OSMODEDEF
  (vl-registry-read
    (strcat "HKEY_CURRENT_USER\\"
            (vlax-product-key)
            "\\PROFILES\\"
            (vla-get-ActiveProfile
              (vla-get-PROFILES(vla-get-preferences(vlax-get-acad-object)))
            )             
            "\\Acadm\\Preferences\\Data\\gen\\OSWiz"
    )
    "OSModeDef"
  )       
)

oder sowas

(defun DT:OSMODEDEF (OSMODEDEF)
  (if(=(type gencfgget)'EXRXSUBR)
    (progn
      (if(setq OSMODEDEF(gencfgget "gen@OSWiz@OSModedef"))
        (cond
          ((= OSMODEDEF 1)(prompt "\nAktuell: OSMODEDEF : 1 = Systemeinstellungen\n"))
          ((= OSMODEDEF 2)(prompt "\nAktuell: OSMODEDEF : 2 = Nutzereinstellungen\n"))
          ((= OSMODEDEF 3)(prompt "\nAktuell: OSMODEDEF : 3 = Unterdrückte Objektfänge\n"))
          ('T            (prompt "\nAktuell: OSMODEDEF : unbekannte Einstellung\n"))
        )
      )
      (if(and(member OSMODEDEF '(1 2 3))
            (gencfgset "gen@OSWiz@OSModedef" OSMODEDEF)
        )
        (cond
          ((= OSMODEDEF 1)(prompt "\nOSMODEDEF eingestellt auf : 1 = Systemeinstellungen\n"))
          ((= OSMODEDEF 2)(prompt "\nOSMODEDEF eingestellt auf : 2 = Nutzereinstellungen\n"))
          ((= OSMODEDEF 3)(prompt "\nOSMODEDEF eingestellt auf : 3 = Unterdrückte Objektfänge\n"))         
        )       
      ) 
    ) 
    (prompt "\nKein Mechanical Aktiv\n")
  ) 
)

Aufruf mit nil als Parameter liest bloß aus, mit 1,2 oder 3 wirds gesetzt.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bu
Mitglied
die Frage habe ich mir auch schon gestellt


Sehen Sie sich das Profil von bu an!   Senden Sie eine Private Message an bu  Schreiben Sie einen Gästebucheintrag für bu

Beiträge: 265
Registriert: 29.06.2004

AutoCAD 2010 Mechanical

erstellt am: 18. Mai. 2009 10:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

@Proxy - hab tatsächlich gegoogelt, aber nix gefunden. Trotzdem Danke.
@CADmium - deine 10 u's sind dir gewiss. Jedoch frag ich mich wie man das wissen kann  . Hast du da besondere Quellen die du da anzapfen kannst? Jedenfalls mal wieder Danke für deine Hilfe.

------------------
Gruss bu

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 18. Mai. 2009 11:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bu 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von bu:
Hallo,

... Jedoch frag ich mich wie man das wissen kann...


Recherche , Analyse , Erfahrung ...

z.B: in dem Fall:
1. Wo wird die Einstellung gespeichert ? Zeichnung oder Registry ?  etwas rumprobieren -> Reg
2. Wo in der Reg ? Verschiedne Profile ausprobiert.. -> Profil
3. Wo da ... ein bißchen nach Snap suchen usw.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz